WeakMap::offsetGet
WeakMap::offsetUnset
WeakMap
PHP Manual

# WeakMap::offsetSet

(PECL weakref >= 0.2.0)

WeakMap::offsetSet — Updates the map with a new key-value pair

### Descrição

public void WeakMap::offsetSet ( object `$object` , mixed `$value` )

Updates the map with a new key-value pair. If the key already existed in the map, the old value is replaced with the new.

### Parâmetros

`object`

  The object serving as key of the key-value pair.

`value`

  The arbitrary data serving as value of the key-value pair.

### Valor Retornado

Não há valor retornado.

WeakMap::offsetGet
WeakMap::offsetUnset
WeakMap
PHP Manual